DynamicJava Javadoc: Class TypeVisitor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classinfo
Class TypeVisitor

    java.lang.Object
      |
      +--koala.dynamicjava.tree.visitor.VisitorObject
            |
            +--koala.dynamicjava.classinfo.TypeVisitor

All Implemented Interfaces:
  Visitor

public class TypeVisitor
extends VisitorObject

The instances of this class are used to get the ClassInfo that match a type node of a syntax tree

Constructor Summary
`TypeVisitor(ClassFinder cf, ClassInfo ctx)` Creates a new type visitor

Method Summary
`java.lang.Object` | `visit(ArrayType node)` Visits a ArrayType
`java.lang.Object` | `visit(PrimitiveType node)` Visits a PrimitiveType
`java.lang.Object` | `visit(ReferenceType node)` Visits a ReferenceType

Methods inherited from class koala.dynamicjava.tree.visitor.VisitorObject
`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeVisitor

    public TypeVisitor(ClassFinder cf,
                       ClassInfo ctx)

  Creates a new type visitor
  Parameters:
    `cf` - the class finder
    `ctx` - the context

Method Detail

### visit

    public java.lang.Object visit(PrimitiveType node)

  Visits a PrimitiveType
  Overrides:
    `visit` in class `VisitorObject`
  Parameters:
    `node` - the node to visit
  Returns:
    the representation of the visited type

### visit

    public java.lang.Object visit(ReferenceType node)

  Visits a ReferenceType
  Overrides:
    `visit` in class `VisitorObject`
  Parameters:
    `node` - the node to visit
  Returns:
    the representation of the visited type
  Throws:
    `NoClassDefFoundError` - if the class cannot be loaded

### visit

    public java.lang.Object visit(ArrayType node)

  Visits a ArrayType
  Overrides:
    `visit` in class `VisitorObject`
  Parameters:
    `node` - the node to visit
  Returns:
    the representation of the visited type
  Throws:
    `NoClassDefFoundError` - if the class cannot be loaded

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.